#
# Copyright 2019-2020 Johannes Hoermann (U. Freiburg)
#           2014-2016 Lars Pastewka (U. Freiburg)
#           2015-2016 Adrien Gola (KIT)
#           2014 James Kermode (Warwick U.)
#
# matscipy - Materials science with Python at the atomic-scale
# https://github.com/libAtoms/matscipy
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
Provides continuous 1D Poisson-Nernst-Planck system solver, sampling of discrete
coordinate sets from continuum fields, steric correction for avoiding overlap
of finite size species.
"""
from .poisson_boltzmann_distribution import ionic_strength, debye
from .poisson_nernst_planck_solver import PoissonNernstPlanckSystem
from .continuous2discrete import generate_structure as continuous2discrete
from .continuous2discrete import get_histogram
